export GOPATH=$PWD
export PATH=$PATH:$PWD/bin
export GOBIN=$PWD/bin

go get github.com/golang/protobuf/protoc-gen-go
go install ./src/github.com/golang/protobuf/protoc-gen-go

export SNAKE_RPC_PATH=$PWD/snakesimulator
mkdir -p $SNAKE_RPC_PATH
rm -f $SNAKE_RPC_PATH/*.pb.go
protoc -I$SNAKE_RPC_PATH --go_out=plugins=grpc:$SNAKE_RPC_PATH $SNAKE_RPC_PATH/snakesimulator.proto
go get -v
go build -o $GOBIN/snakesimulator
